Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: lttng-tools
Source: https://lttng.org/files/lttng-tools/

Files: *
Copyright: 2011-2014, David Goulet <david.goulet@efficios.com>
           2011-2016, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
           2011, Julien Desfossez <julien.desfossez@polymtl.ca>
License: LGPL-2.1

Files: debian/*
Copyright: 2011-2012, Alexandre Montplaisir <alexandre.montplaisir@gmail.com>
           2011-2019, Michael Jeanson <mjeanson@ubuntu.com>
           2012-2016, Jon Bernard <jbernard@debian.org>
License: GPL-2+

Files: extras/*
Copyright: 2013, Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: extras/core-handler/*
Copyright: 2013, - Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: extras/core-handler/crash.c
Copyright: 2013, - Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: extras/lttng-bash_completion
Copyright: -2013, Simon Marchi <simon.marchi@polymtl.ca>
License: GPL-2

Files: include/*
Copyright: 2013-2014, - Raphaël Beamonte <raphael.beamonte@gmail.com>
License: GPL-2

Files: include/lttng/*
Copyright: 2017, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: include/lttng/channel-internal.h
Copyright: 2015, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: include/lttng/channel.h
  include/lttng/constant.h
  include/lttng/domain.h
  include/lttng/handle.h
Copyright: 2014, - David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: include/lttng/destruction-handle.h
  include/lttng/session-descriptor-internal.h
  include/lttng/session-descriptor.h
  include/lttng/session-internal.h
Copyright: 2019, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: include/lttng/event.h
Copyright: 2016, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2014, - David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: include/lttng/health-internal.h
Copyright: 2013, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / 2012, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: include/lttng/health.h
Copyright: 2013, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / 2012, - David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: include/lttng/load-internal.h
  include/lttng/load.h
Copyright: 2014, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: include/lttng/location.h
Copyright: 2018, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: include/lttng/lttng-error.h
Copyright: 2012, - David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: include/lttng/lttng.h
Copyright: 2011, - David Goulet <david.goulet@polymtl.ca>
License: LGPL-2.1

Files: include/lttng/ref-internal.h
Copyright: 2013, 2014, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: include/lttng/rotate-internal.h
Copyright: 2017, - Julien Desfossez <jdesfossez@efficios.com>
License: LGPL-2.1

Files: include/lttng/rotation.h
Copyright: 2018, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2017, - Julien Desfossez <jdesfossez@efficios.com>
License: LGPL-2.1

Files: include/lttng/save-internal.h
  include/lttng/save.h
Copyright: 2013, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: include/lttng/session.h
Copyright: 2019, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2014, - David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: include/lttng/snapshot-internal.h
  include/lttng/snapshot.h
Copyright: 2013, - David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: include/lttng/userspace-probe-internal.h
Copyright: 2018, - Francis Deslauriers <francis.deslauriers@efficios.com> / 2017, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: src/*
Copyright: 2017, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: src/bin/*
Copyright: 2011, - David Goulet <david.goulet@polymtl.ca>
License: GPL-2

Files: src/bin/lttng-consumerd/*
Copyright: 2011, - Julien Desfossez <julien.desfossez@polymtl.ca>
License: GPL-2

Files: src/bin/lttng-consumerd/health-consumerd.c
Copyright: 2013, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: GPL-2

Files: src/bin/lttng-consumerd/health-consumerd.h
Copyright: 2013, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / 2012, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/bin/lttng-crash/*
Copyright: 2014, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
  2011, David Goulet <david.goulet@polymtl.ca>
License: GPL-2

Files: src/bin/lttng-relayd/*
Copyright: 2013, - Julien Desfossez <jdesfossez@efficios.com>
License: GPL-2

Files: src/bin/lttng-relayd/cmd-2-11.c
  src/bin/lttng-relayd/cmd-2-11.h
Copyright: 2018, - Jonathan Rajotte <jonathan.rajotte-julien@efficios.com>
License: GPL-2

Files: src/bin/lttng-relayd/health-relayd.c
Copyright: 2013, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: GPL-2

Files: src/bin/lttng-relayd/health-relayd.h
Copyright: 2013, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / 2012, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/bin/lttng-relayd/lttng-relayd.h
  src/bin/lttng-relayd/main.c
  src/bin/lttng-relayd/utils.h
Copyright: 2012, - Julien Desfossez <jdesfossez@efficios.com>
License: GPL-2

Files: src/bin/lttng-relayd/lttng-viewer-abi.h
Copyright: 2013, - Julien Desfossez <jdesfossez@efficios.com>
License: Expat

Files: src/bin/lttng-relayd/sessiond-trace-chunks.c
  src/bin/lttng-relayd/sessiond-trace-chunks.h
Copyright: 2019, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: src/bin/lttng-relayd/tracefile-array.c
  src/bin/lttng-relayd/tracefile-array.h
Copyright: 2015, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: GPL-2

Files: src/bin/lttng-relayd/tcp_keep_alive.c
  src/bin/lttng-relayd/tcp_keep_alive.h
Copyright: 2017, - Jonathan Rajotte <jonathan.rajotte-julien@efficios.com>
License: GPL-2

Files: src/bin/lttng-relayd/testpoint.h
Copyright: 2014, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / 2012, - Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/agent-thread.c
  src/bin/lttng-sessiond/agent-thread.h
  src/bin/lttng-sessiond/buffer-registry.c
  src/bin/lttng-sessiond/buffer-registry.h
  src/bin/lttng-sessiond/notify-apps.c
  src/bin/lttng-sessiond/notify-apps.h
  src/bin/lttng-sessiond/snapshot.c
  src/bin/lttng-sessiond/snapshot.h
  src/bin/lttng-sessiond/ust-ctl-internal.h
  src/bin/lttng-sessiond/ust-registry.c
  src/bin/lttng-sessiond/ust-registry.h
Copyright: 2013, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/agent.c
  src/bin/lttng-sessiond/agent.h
Copyright: 2016, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2013, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/channel.c
  src/bin/lttng-sessiond/context.c
  src/bin/lttng-sessiond/event.c
  src/bin/lttng-sessiond/trace-ust.c
  src/bin/lttng-sessiond/trace-ust.h
  src/bin/lttng-sessiond/ust-app.c
  src/bin/lttng-sessiond/ust-app.h
Copyright: 2016, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2011, - David Goulet <david.goulet@polymtl.ca>
License: GPL-2

Files: src/bin/lttng-sessiond/cmd.c
Copyright: 2016, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2012, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/cmd.h
  src/bin/lttng-sessiond/consumer.c
  src/bin/lttng-sessiond/consumer.h
  src/bin/lttng-sessiond/health-sessiond.h
  src/bin/lttng-sessiond/kernel-consumer.c
  src/bin/lttng-sessiond/kernel-consumer.h
Copyright: 2012, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/fd-limit.c
  src/bin/lttng-sessiond/fd-limit.h
Copyright: 2012, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/health.c
Copyright: 2018, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2012, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/ht-cleanup.c
Copyright: 2013, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/ht-cleanup.h
Copyright: 2016, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/kern-modules.h
  src/bin/lttng-sessiond/modprobe.c
  src/bin/lttng-sessiond/modprobe.h
Copyright: 2011, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/lttng-sessiond.h
Copyright: 2013, - Raphaël Beamonte <raphael.beamonte@gmail.com> / 2011, - David Goulet <david.goulet@polymtl.ca>
License: GPL-2

Files: src/bin/lttng-sessiond/lttng-syscall.c
  src/bin/lttng-sessiond/lttng-syscall.h
Copyright: 2014, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/lttng-ust-abi.h
Copyright: 2010-2012, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: Expat

Files: src/bin/lttng-sessiond/lttng-ust-ctl.h
Copyright: 2011-2013, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / 2011, - Julien Desfossez <julien.desfossez@polymtl.ca>
License: GPL-2

Files: src/bin/lttng-sessiond/lttng-ust-error.h
Copyright: 2011, - David Goulet <david.goulet@polymtl.ca>
License: LGPL-2.1

Files: src/bin/lttng-sessiond/notification-thread-commands.c
  src/bin/lttng-sessiond/notification-thread-commands.h
  src/bin/lttng-sessiond/notification-thread-events.c
  src/bin/lttng-sessiond/notification-thread-events.h
  src/bin/lttng-sessiond/notification-thread-internal.h
  src/bin/lttng-sessiond/notification-thread.c
  src/bin/lttng-sessiond/notification-thread.h
  src/bin/lttng-sessiond/sessiond-config.c
  src/bin/lttng-sessiond/sessiond-config.h
Copyright: 2017, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/rotate.c
  src/bin/lttng-sessiond/rotate.h
  src/bin/lttng-sessiond/rotation-thread.c
  src/bin/lttng-sessiond/rotation-thread.h
  src/bin/lttng-sessiond/timer.c
  src/bin/lttng-sessiond/timer.h
Copyright: 2018, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2017, - Julien Desfossez <jdesfossez@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/save.c
Copyright: 2014, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/save.h
Copyright: 2013, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/testpoint.h
Copyright: 2012, - Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/thread.c
  src/bin/lttng-sessiond/thread.h
Copyright: 2018, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/ust-clock.h
Copyright: 2011, 2012, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
  2009, 2010, Pierre-Marc Fournier
License: LGPL-2.1

Files: src/bin/lttng-sessiond/ust-field-utils.c
Copyright: 2018, - Francis Deslauriers <francis.deslauriers@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/ust-field-utils.h
Copyright: 2018, - Francis Deslauriers francis.deslauriers@efficios.com>
License: GPL-2

Files: src/bin/lttng-sessiond/ust-metadata.c
Copyright: 2010-2013, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: GPL-2

Files: src/bin/lttng/commands/add_context.c
Copyright: 2016, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2011, - David Goulet <david.goulet@polymtl.ca>
License: GPL-2

Files: src/bin/lttng/commands/create.c
Copyright: 2019, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2011, - David Goulet <david.goulet@polymtl.ca>
License: GPL-2

Files: src/bin/lttng/commands/disable_rotation.c
  src/bin/lttng/commands/enable_rotation.c
  src/bin/lttng/commands/rotate.c
Copyright: 2017, - Julien Desfossez <jdesfossez@efficios.com>
License: GPL-2

Files: src/bin/lttng/commands/help.c
  src/bin/lttng/commands/status.c
Copyright: 2015, - Philippe Proulx <pproulx@efficios.com>
License: GPL-2

Files: src/bin/lttng/commands/load.c
Copyright: 2014, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: src/bin/lttng/commands/metadata.c
  src/bin/lttng/commands/regenerate.c
Copyright: 2015, - Julien Desfossez <jdesfossez@efficios.com>
License: GPL-2

Files: src/bin/lttng/commands/save.c
Copyright: 2013, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: src/bin/lttng/commands/snapshot.c
Copyright: 2013, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/bin/lttng/commands/track-untrack.c
Copyright: 2015, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / 2011, - David Goulet <david.goulet@polymtl.ca>
License: GPL-2

Files: src/bin/lttng/commands/view.c
Copyright: 2011, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/bin/lttng/conf.c
  src/bin/lttng/lttng.c
  src/bin/lttng/utils.c
Copyright: 2011, David Goulet <david.goulet@polymtl.ca>
License: GPL-2

Files: src/common/align.h
  src/common/bug.h
Copyright: 2010-2011, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: Expat

Files: src/common/common.h
  src/common/defaults.h
  src/common/error.h
  src/common/futex.c
  src/common/futex.h
  src/common/macros.h
  src/common/runas.c
  src/common/runas.h
  src/common/unix.c
Copyright: 2011, - David Goulet <david.goulet@polymtl.ca>
License: GPL-2

Files: src/common/compat/*
Copyright: 2011, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/common/compat/poll.c
  src/common/compat/poll.h
Copyright: 2019, - Yannick Lamarre <ylamarre@efficios.com> / 2011, - David Goulet <david.goulet@polymtl.ca>
License: GPL-2

Files: src/common/compat/directory-handle.c
  src/common/compat/directory-handle.h
Copyright: 2019, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: src/common/compat/dirent.h
  src/common/compat/netdb.h
  src/common/compat/string.h
  src/common/compat/time.h
Copyright: 2015, 2016, Michael Jeanson <mjeanson@efficios.com>
License: Expat

Files: src/common/compat/getenv.h
Copyright: 2015, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: GPL-2

Files: src/common/compat/paths.h
Copyright: 2015, - Michael Jeanson <mjeanson@efficios.com>
License: GPL-2

Files: src/common/compat/tid.h
Copyright: 2012, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: Expat

Files: src/common/config/*
Copyright: 2013, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: src/common/consumer/*
Copyright: 2011, - Julien Desfossez <julien.desfossez@polymtl.ca>
License: GPL-2

Files: src/common/consumer/consumer-metadata-cache.c
  src/common/consumer/consumer-metadata-cache.h
Copyright: 2013, - Julien Desfossez <jdesfossez@efficios.com>
License: GPL-2

Files: src/common/consumer/consumer-stream.c
Copyright: 2013, - David Goulet <dgoulet@efficios.com> / 2011, - Julien Desfossez <julien.desfossez@polymtl.ca>
License: GPL-2

Files: src/common/consumer/consumer-stream.h
Copyright: 2013, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/common/consumer/consumer-testpoint.h
Copyright: 2014, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / 2012, - Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: src/common/consumer/consumer-timer.c
Copyright: 2012, - Julien Desfossez <julien.desfossez@efficios.com>
License: GPL-2

Files: src/common/context.c
  src/common/filter.c
Copyright: 2016, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: src/common/context.h
  src/common/filter.h
Copyright: 2016, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: src/common/credentials.h
  src/common/optional.h
Copyright: 2019, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: src/common/daemonize.c
  src/common/daemonize.h
Copyright: 2014, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / 2013, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/common/defaults.c
Copyright: 2012, - Simon Marchi <simon.marchi@polymtl.ca>
License: GPL-2

Files: src/common/dynamic-array.c
  src/common/dynamic-array.h
  src/common/session-descriptor.c
  src/common/trace-chunk-registry.h
  src/common/trace-chunk.c
  src/common/trace-chunk.h
Copyright: 2019, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: src/common/error.c
  src/common/unix.h
  src/common/uri.c
  src/common/uri.h
  src/common/utils.h
Copyright: 2012, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/common/event.c
  src/common/location.c
Copyright: 2018, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: src/common/hashtable/*
Copyright: 2011, - David Goulet <david.goulet@polymtl.ca>
License: GPL-2

Files: src/common/hashtable/hashtable-symbols.h
Copyright: 2012, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: LGPL-2.1

Files: src/common/hashtable/utils.c
Copyright: 2011, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / 2011, - David Goulet <david.goulet@polymtl.ca> / - Bob Jenkins, May 2006
License: GPL-2

Files: src/common/health/*
Copyright: 2013, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / 2012, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/common/index/*
Copyright: 2013, - Julien Desfossez <jdesfossez@efficios.com>
License: GPL-2

Files: src/common/index/ctf-index.h
Copyright: 2013, - Julien Desfossez <jdesfossez@efficios.com>
License: Expat

Files: src/common/kernel-consumer/*
Copyright: 2017, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2011, - Julien Desfossez <julien.desfossez@polymtl.ca>
License: GPL-2

Files: src/common/kernel-consumer/kernel-consumer.h
Copyright: 2017, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2011, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / 2011, - Julien Desfossez <julien.desfossez@polymtl.ca>
License: GPL-2

Files: src/common/kernel-ctl/*
Copyright: 2011, - Julien Desfossez <julien.desfossez@polymtl.ca>
License: GPL-2

Files: src/common/lttng-elf.c
Copyright: 2017, Francis Deslauriers <francis.deslauriers@efficios.com>
  2017, Erica Bugden <erica.bugden@efficios.com>
  2015, Antoine Busque <abusque@efficios.com>
License: LGPL-2.1+

Files: src/common/lttng-elf.h
Copyright: 2017, Francis Deslauriers <francis.deslauriers@efficios.com>
  2017, Erica Bugden <erica.bugden@efficios.com>
License: LGPL-2.1+

Files: src/common/lttng-kernel-old.h
  src/common/lttng-kernel.h
Copyright: 2011, - Julien Desfossez <julien.desfossez@polymtl.ca>
License: GPL-2

Files: src/common/mi-lttng.c
  src/common/mi-lttng.h
Copyright: 2016, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2014, - Jonathan Rajotte <jonathan.r.julien@gmail.com>
License: GPL-2

Files: src/common/pipe.c
  src/common/pipe.h
Copyright: 2013, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/common/readwrite.c
  src/common/readwrite.h
Copyright: 2013, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: LGPL-2.1

Files: src/common/relayd/*
Copyright: 2012, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/common/sessiond-comm/*
Copyright: 2012, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/common/sessiond-comm/agent.h
Copyright: 2016, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2013, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/common/sessiond-comm/sessiond-comm.c
  src/common/sessiond-comm/sessiond-comm.h
Copyright: 2011, - David Goulet <david.goulet@polymtl.ca>
License: GPL-2

Files: src/common/string-utils/*
Copyright: 2017, - Philippe Proulx <pproulx@efficios.com>
License: GPL-2

Files: src/common/string-utils/format.h
Copyright: 2019, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: src/common/testpoint/*
Copyright: 2012, - Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: src/common/time.c
Copyright: 2013, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: src/common/time.h
Copyright: 2016, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1+

Files: src/common/ust-consumer/*
Copyright: 2017, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2011, - Julien Desfossez <julien.desfossez@polymtl.ca>
License: GPL-2

Files: src/common/ust-consumer/ust-consumer.h
Copyright: 2011, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / 2011, - Julien Desfossez <julien.desfossez@polymtl.ca>
License: GPL-2

Files: src/common/utils.c
Copyright: 2013, - Raphaël Beamonte <raphael.beamonte@gmail.com> / 2013, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2012, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: src/common/waiter.c
  src/common/waiter.h
Copyright: 2012, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: LGPL-2.1

Files: src/lib/lttng-ctl/deprecated-symbols.c
Copyright: 2016, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: src/lib/lttng-ctl/destruction-handle.c
Copyright: 2019, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: src/common/filter/*
Copyright: 2012, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: LGPL-2.1

Files: src/common/filter/filter-lexer.c
Copyright: 2011, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
  2011, Julien Desfossez <julien.desfossez@polymtl.ca>
  2011, David Goulet <david.goulet@polymtl.ca>
License: LGPL-2.1

Files: src/common/filter/filter-parser.c
  src/common/filter/filter-parser.h
Copyright: 1984, 1989, 1990, 2000-2015, Free Software Foundation, Inc.
License: GPL-3+

Files: src/common/filter/filter-visitor-ir-normalize-glob-patterns.c
  src/common/filter/filter-visitor-ir-validate-globbing.c
Copyright: 2017, - Philippe Proulx <pproulx@efficios.com>
License: LGPL-2.1

Files: src/common/filter/filter-visitor-ir-validate-string.c
Copyright: 2014, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: src/common/filter/memstream.h
Copyright: 2012, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: Expat

Files: src/lib/lttng-ctl/load.c
Copyright: 2014, - David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: src/lib/lttng-ctl/lttng-ctl-health.c
Copyright: 2013, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
  2011, David Goulet <david.goulet@polymtl.ca>
License: LGPL-2.1

Files: src/lib/lttng-ctl/lttng-ctl-helper.h
Copyright: 2013, David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: src/lib/lttng-ctl/lttng-ctl.c
Copyright: 2016, - Jérémie Galarneau <jeremie.galarneau@efficios.com> / 2011, David Goulet <david.goulet@polymtl.ca>
License: LGPL-2.1

Files: src/lib/lttng-ctl/rotate.c
Copyright: 2017, - Julien Desfossez <jdesfossez@efficios.com>
License: LGPL-2.1

Files: src/lib/lttng-ctl/save.c
Copyright: 2013, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: src/lib/lttng-ctl/snapshot.c
Copyright: 2013, - David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: tests/*
Copyright: 2011-2016, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
  2011-2014, David Goulet <david.goulet@efficios.com>
  2011, Julien Desfossez <julien.desfossez@polymtl.ca>
License: LGPL-2.1

Files: tests/destructive/*
Copyright: - 2015, Julien Desfossez <jdesfossez@efficios.com>
License: GPL-2

Files: tests/perf/*
Copyright: 2016, Julien Desfossez <jdesfossez@efficios.com>
License: GPL-2

Files: tests/perf/test_perf_raw.in
Copyright: - 2016, Julien Desfossez <jdesfossez@efficios.com>
License: GPL-2

Files: tests/regression/*
Copyright: - 2014, 2016 Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / - 2013, Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: tests/regression/kernel/test_all_events
  tests/regression/kernel/test_event_basic
Copyright: - 2013, Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: tests/regression/kernel/test_callstack
Copyright: - 2017, Francis Deslauriers <francis.deslauriers@efficios.com>
License: GPL-2

Files: tests/regression/kernel/test_lttng_logger
Copyright: - 2017, Julien Desfossez <jdesfossez@efficios.com>
License: GPL-2

Files: tests/regression/tools/*
Copyright: - 2012, Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: tests/regression/tools/base-path/*
Copyright: - 2019, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/crash/*
Copyright: - 2015, Jonathan Rajotte <jonathan.rajotte-julien@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/filtering/gen-ust-events.c
  tests/regression/tools/filtering/tp.c
Copyright: - 2012, David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/filtering/tp.h
Copyright: 2011, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/health/*
Copyright: - 2014, Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / - 2012, Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: tests/regression/tools/health/health_check.c
  tests/regression/tools/health/health_fail.c
  tests/regression/tools/health/health_stall.c
Copyright: 2014, - Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / 2012, - Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: tests/regression/tools/live/*
Copyright: - 2013, Julien Desfossez <julien.desfossez@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/live/live_test.c
Copyright: -2013, 2016, Julien Desfossez <jdesfossez@efficios.com>
License: GPL-2

Files: tests/regression/tools/metadata/*
Copyright: 2019, Jonathan Rajotte-Julien <jonathan.rajotte-julien@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/mi/*
Copyright: 2014, - Jonathan Rajotte <jonathan.r.julien@gmail.com>
License: GPL-2

Files: tests/regression/tools/mi/test_mi
Copyright: - 2014, Jonathan Rajotte <jonathan.r.julien@gmail.com>
License: LGPL-2.1

Files: tests/regression/tools/notification/*
Copyright: 2017, Jonathan Rajotte <jonathan.rajotte-julien@efficios.com>
License: Expat

Files: tests/regression/tools/notification/consumer_testpoints.c
Copyright: 2017, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: tests/regression/tools/notification/rotation.c
Copyright: 2017, 2018, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: Expat

Files: tests/regression/tools/notification/test_notification_multi_app
Copyright: - 2017, Jonathan Rajotte <jonathan.rajotte-julien@efficiso.com>>
License: LGPL-2.1

Files: tests/regression/tools/notification/test_rotation
Copyright: - 2017, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/regen-metadata/*
Copyright: - 2015, Julien Desfossez <jdesfossez@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/regen-statedump/*
Copyright: - 2016, Julien Desfossez <jdesfossez@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/rotation/*
Copyright: - 2017, Julien Desfossez <jdesfossez@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/rotation/schedule_api.c
Copyright: 2017, 2018, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: Expat

Files: tests/regression/tools/rotation/test_schedule_api
Copyright: - 2018, Jérémie Galarneau <jdesfossez@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/save-load/*
Copyright: - 2014, David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/save-load/test_autoload
Copyright: - 2018, Anders Wallin <wallinux@gmail.com>
License: LGPL-2.1

Files: tests/regression/tools/snapshots/*
Copyright: - 2013, Julien Desfossez <jdesfossez@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/snapshots/test_kernel_streaming
  tests/regression/tools/snapshots/test_ust_streaming
Copyright: - 2013, David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/streaming/*
Copyright: - 2012, David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/streaming/test_high_throughput_limits
Copyright: - 2012, Christian Babeux <christian.babeux@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/tracefile-limits/*
Copyright: - 2013, Christian Babeux <christian.babeux@efficios.com>
License: LGPL-2.1

Files: tests/regression/tools/wildcard/*
Copyright: - 2015, Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / - 2013, Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: tests/regression/ust/*
Copyright: - 2012, David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: tests/regression/ust/baddr-statedump/*
Copyright: 2012, David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: tests/regression/ust/baddr-statedump/test_baddr-statedump.py
Copyright: - 2015, Antoine Busque <abusque@efficios.com> / - 2013, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: tests/regression/ust/blocking/*
Copyright: - 2016, Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / - 2015, Jonathan Rajotte <jonathan.rajotte-julien@efficios.com>
License: LGPL-2.1

Files: tests/regression/ust/clock-override/*
Copyright: - 2015, Jonathan Rajotte <jonathan.rajotte-julien@efficios.com>
License: LGPL-2.1

Files: tests/regression/ust/clock-override/lttng-ust-clock-override-test.c
Copyright: 2015, Jonthan Rajotte <jonathan.rajotte-julien@efficios.com>
  2014, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: Expat

Files: tests/regression/ust/daemon/*
Copyright: - 2013, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: tests/regression/ust/daemon/daemon.c
Copyright: 2011, 2012, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
  2009, 2010, Pierre-Marc Fournier
License: LGPL-2.1

Files: tests/regression/ust/daemon/ust_tests_daemon.h
Copyright: 2012, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: Expat

Files: tests/regression/ust/exit-fast/*
Copyright: - 2013, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: tests/regression/ust/exit-fast/exit-fast.c
Copyright: 2011, Nils Carlson
License: LGPL-2.1+

Files: tests/regression/ust/exit-fast/ust_tests_exitfast.h
Copyright: 2011, 2012, Matthew Khouzam <matthew.khouzam@ericsson.com>
  2011, 2012, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: Expat

Files: tests/regression/ust/fork/*
Copyright: - 2013, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: tests/regression/ust/fork/fork.c
Copyright: 2011, 2012, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
  2009, 2010, Pierre-Marc Fournier
License: LGPL-2.1

Files: tests/regression/ust/fork/fork2.c
Copyright: 2009, Pierre-Marc Fournier
License: LGPL-2.1+

Files: tests/regression/ust/fork/ust_tests_fork.h
Copyright: 2011, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: Expat

Files: tests/regression/ust/getcpu-override/*
Copyright: - 2015, Jonathan Rajotte <jonathan.rajotte-julien@efficios.com>
License: LGPL-2.1

Files: tests/regression/ust/getcpu-override/lttng-ust-getcpu-override-test.c
Copyright: 2015, Jonathan Rajotte <jonathan.rajotte-julien@efficios.com>
  2014, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: Expat

Files: tests/regression/ust/high-throughput/*
Copyright: 2011, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: Expat

Files: tests/regression/ust/high-throughput/main.c
Copyright: 2011, 2012, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
  2009, 2010, Pierre-Marc Fournier
License: LGPL-2.1

Files: tests/regression/ust/high-throughput/test_high_throughput
Copyright: - 2012, David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: tests/regression/ust/java-jul/*
Copyright: 2015, - Michael Jeanson <mjeanson@efficios.com> / 2013, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: tests/regression/ust/java-jul/test_java_jul
Copyright: - 2013, David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: tests/regression/ust/java-log4j/*
Copyright: 2015, - Michael Jeanson <dgoulet@efficios.com> / 2014, - David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: tests/regression/ust/java-log4j/test_java_log4j
Copyright: - 2014, David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: tests/regression/ust/libc-wrapper/*
Copyright: - 2013, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: tests/regression/ust/libc-wrapper/prog.c
Copyright: 2009, Pierre-Marc Fournier
License: LGPL-2.1+

Files: tests/regression/ust/linking/*
Copyright: 2011, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: Expat

Files: tests/regression/ust/linking/demo.c
Copyright: 2011, 2012, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
  2009, 2010, Pierre-Marc Fournier
License: LGPL-2.1

Files: tests/regression/ust/linking/demo_preload
Copyright: 2011, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
  2011, Julien Desfossez <julien.desfossez@polymtl.ca>
  2011, David Goulet <david.goulet@polymtl.ca>
License: LGPL-2.1

Files: tests/regression/ust/linking/test_linking
  tests/regression/ust/linking/test_linking.py
Copyright: - 2013, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: tests/regression/ust/low-throughput/*
Copyright: 2011, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: Expat

Files: tests/regression/ust/low-throughput/main.c
Copyright: 2012, - David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: tests/regression/ust/low-throughput/test_low_throughput
Copyright: - 2012, David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: tests/regression/ust/multi-lib/*
Copyright: - 2018, Francis Deslauriers <francis.deslauriers@efficios.com>
License: LGPL-2.1

Files: tests/regression/ust/multi-session/gen-nevents.c
Copyright: - 2012, David Goulet <dgoulet@efficios.com> / - 2011, Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / - 2009, Pierre-Marc Fournier
License: LGPL-2.1

Files: tests/regression/ust/multi-session/tp.c
Copyright: - 2012, David Goulet <dgoulet@efficios.com> / - 2011, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: LGPL-2.1

Files: tests/regression/ust/multi-session/ust_gen_nevents.h
Copyright: 2011, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: LGPL-2.1

Files: tests/regression/ust/overlap/demo/*
Copyright: 2011, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: Expat

Files: tests/regression/ust/overlap/demo/demo.c
Copyright: 2011, 2012, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
  2009, 2010, Pierre-Marc Fournier
License: LGPL-2.1

Files: tests/regression/ust/python-logging/test_python_logging.in
Copyright: - 2015, Philippe Proulx <pproulx@efficios.com> / - 2014, David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: tests/regression/ust/rotation-destroy-flush/*
Copyright: - 2016, Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / - 2015, Jonathan Rajotte <jonathan.rajotte-julien@efficios.com>
License: LGPL-2.1

Files: tests/regression/ust/test_event_basic
Copyright: - 2013, Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: tests/regression/ust/test_event_perf
Copyright: - 2014, Julien Desfossez <jdesfossez@efficios.com> / - 2013, Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: tests/regression/ust/test_event_tracef
Copyright: - 2014, Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / - 2013, Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: tests/regression/ust/type-declarations/*
Copyright: - 2016, Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / - 2014, Geneviève Bastien <gbastien@versatic.net>
License: LGPL-2.1

Files: tests/regression/ust/type-declarations/test_type_declarations.py
Copyright: - 2014, Geneviève Bastien <gbastien@versatic.net>
License: GPL-2

Files: tests/regression/ust/type-declarations/type-declarations.c
Copyright: 2014, Geneviève Bastien <gbastien@versatic.net>
License: LGPL-2.1+

Files: tests/regression/ust/type-declarations/ust_tests_td.h
Copyright: 2014, Geneviève Bastien <gbastien@versatic.net>
License: Expat

Files: tests/regression/ust/ust-dl/*
Copyright: 2012, David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: tests/regression/ust/ust-dl/test_ust-dl.in
Copyright: - 2013, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: tests/regression/ust/ust-dl/test_ust-dl.py
Copyright: - 2015, Antoine Busque <abusque@efficios.com> / - 2013, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: tests/run.sh
Copyright: 2013, - Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: tests/stress/*
Copyright: - 2013, David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: tests/unit/*
Copyright: 2011, David Goulet <david.goulet@polymtl.ca>
License: GPL-2

Files: tests/unit/ini_config/*
Copyright: - 2013, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: tests/unit/ini_config/test_ini_config
Copyright: 2013, - Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: tests/unit/test_directory_handle.c
Copyright: - 2019, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: tests/unit/test_notification.c
Copyright: 2017, Jonathan Rajotte <jonathan.rajotte-julien@efficios.com>
License: Expat

Files: tests/unit/test_string_utils.c
Copyright: - 2017, Philippe Proulx <pproulx@efficios.com>
License: GPL-2

Files: tests/unit/test_uri.c
Copyright: - 2012, David Goulet <dgoulet@efficios.com>
License: GPL-2

Files: tests/unit/test_utils_compat_poll.c
Copyright: 2019, Yannick Lamarre <ylamarre@efficios.com>
License: GPL-2

Files: tests/unit/test_utils_expand_path.c
Copyright: - 2013, Raphaël Beamonte <raphael.beamonte@gmail.com>
License: GPL-2

Files: tests/unit/test_utils_parse_size_suffix.c
Copyright: - 2013, Simon Marchi <simon.marchi@polymtl.ca>
License: GPL-2

Files: tests/unit/test_utils_parse_time_suffix.c
Copyright: - 2015, Simon Marchi <simon.marchi@polymtl.ca>
License: GPL-2

Files: tests/utils/*
Copyright: - 2012, David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: tests/utils/babelstats.pl
Copyright: - 2012, Christian Babeux <christian.babeux@efficios.com>
License: GPL-2

Files: tests/utils/parse-callstack.py
Copyright: - 2017, Francis Deslauriers <francis.deslauriers@efficios.com>
License: LGPL-2.1

Files: tests/utils/tap/*
Copyright: 2004, Nik Clayton
License: BSD-2-clause

Files: tests/utils/tap/tap.sh
Copyright: 2010, Patrick LeBoutillier <patrick.leboutillier@gmail.com>
License: GPL-3+

Files: tests/utils/test_utils.py
Copyright: - 2013, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: GPL-2

Files: tests/utils/testapp/gen-syscall-events-callstack/*
Copyright: - 2017, Francis Deslauriers <francis.deslauriers@efficios.com>
License: LGPL-2.1

Files: tests/utils/testapp/gen-syscall-events/*
Copyright: - 2017, Francis Deslauriers <francis.deslauriers@efficios.com>
License: LGPL-2.1

Files: tests/utils/testapp/gen-ust-events/tp.h
Copyright: 2011, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: LGPL-2.1

Files: tests/utils/testapp/gen-ust-nevents-str/*
Copyright: - 2017, Philippe Proulx <pproulx@efficios.com>
License: LGPL-2.1

Files: tests/utils/testapp/gen-ust-nevents/tp.h
Copyright: 2011, Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
License: LGPL-2.1

Files: tests/utils/testapp/gen-ust-tracef/*
Copyright: - 2014, Mathieu Desnoyers <mathieu.desnoyers@efficios.com> / - 2012, David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

Files: tests/utils/testapp/signal-helper.h
Copyright: - 2018, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: tests/utils/testapp/userspace-probe-elf-binary/*
Copyright: 2018, - Francis Deslauriers <francis.deslauriers@efficios.com>
License: LGPL-2.1+

Files: tests/utils/testapp/userspace-probe-elf-binary/foo.h
Copyright: 2018, Francis Deslauriers <francis.deslauriers@efficios.com>
License: LGPL-2.1+

Files: tests/utils/testapp/userspace-probe-elf-binary/userspace-probe-elf-binary.c
Copyright: 2017, Francis Deslauriers <francis.deslauriers@efficios.com>
License: LGPL-2.1+

Files: tests/utils/testapp/userspace-probe-elf-cxx-binary/*
Copyright: 2018, Francis Deslauriers <francis.deslauriers@efficios.com>
License: LGPL-2.1+

Files: tests/utils/testapp/userspace-probe-sdt-binary/*
Copyright: 2017, Francis Deslauriers <francis.deslauriers@efficios.com>
License: LGPL-2.1+

Files: tests/utils/utils.c
  tests/utils/utils.h
Copyright: - 2015, Jérémie Galarneau <jeremie.galarneau@efficios.com>
License: LGPL-2.1

Files: tests/utils/warn_processes.sh
Copyright: 2012, David Goulet <dgoulet@efficios.com>
License: LGPL-2.1

License: BSD-2-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 .
 1. Redistributions of source code must retain the above copyright notice, this
    list of conditions and the following disclaimer.
 .
 2. Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: Expat
 Permission is hereby granted, free of charge, to any person obtaining
 a copy of this software and associated documentation files (the
 "Software"), to deal in the Software without restriction, including
 without limitation the rights to use, copy, modify, merge, publish,
 distribute, sublicense, and/or sell copies of the Software, and to
 permit persons to whom the Software is furnished to do so, subject to
 the following conditions:
 .
 The above copyright notice and this permission notice shall be included
 in all copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

License: GPL-2
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; version 2 dated June, 1991.
 .
 On Debian systems, the complete text of version 2 of the GNU General
 Public License can be found in '/usr/share/common-licenses/GPL-2'.

License: GPL-2+
 This package is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/>
 .
 On Debian systems, the complete text of the GNU General
 Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".

License: GPL-3+
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; version 3 dated June, 2007, or (at
 your option) any later version.
 .
 On Debian systems, the complete text of version 3 of the GNU General
 Public License can be found in '/usr/share/common-licenses/GPL-3'.

License: LGPL-2.1
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; under
 version 2.1 of the License.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/>
 .
 On Debian systems, the complete text of the GNU Lesser General Public
 License version 2.1 can be found in "/usr/share/common-licenses/LGPL-2.1".

License: LGPL-2.1+
 This program is free software; you can redistribute it and/or modify it
 under the terms of the GNU Lesser General Public License as published by the
 Free Software Foundation; version 2.1 of the License, or (at
 your option) any later version.
 .
 On Debian systems, the complete text of version 2.1 of the GNU Lesser
 General Public License can be found in `/usr/share/common-licenses/LGPL-2.1'.
